<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of BaseCO_EP_OBJETOS_IGUALES
 *
 * @author Manuel enrique Paredes LOpez
 */
abstract class BaseCO_EP_OBJETOS_IGUALES extends sfDoctrineRecord{
    
    public function setTableDefinition()
    {
        $this->setTableName('CO_EP_OBJETOS_IGUALES');
        
        $this->hasColumn('id_co_ep', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        
        
        
        $this->hasColumn('id_estudios_previos', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 20,
             ));
        
        $this->hasColumn('valor_texto', 'text', array(
             'notnull' => false,
             'type' => 'text',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 4000,
             ));
    
    }
    
    public function setUp()
    {
        parent::setUp();
        
    }
    
    
    
}
